<?php

  //
  // Quick hackup Devices tab. For 'chadd' on Cacti forum.
  //

function plugin_init_devices() {
	global $plugin_hooks;
	$plugin_hooks['top_header_tabs']['devices'] = 'devices_show_tab';
        $plugin_hooks['top_graph_header_tabs']['devices'] = 'devices_show_tab';

	$plugin_hooks['config_arrays']['devices'] = 'devices_config_arrays';
        $plugin_hooks['draw_navigation_text']['devices'] = 'devices_draw_navigation_text';

}

function devices_config_arrays () {
        global $user_auth_realms, $user_auth_realm_filenames, $menu;
        $user_auth_realms[55]='View Devices Tab';
        $user_auth_realm_filenames['devices.php'] = 55;
}

function devices_show_tab () {
	global $config, $user_auth_realms, $user_auth_realm_filenames;
	$realm_id2 = 0;

        if (isset($user_auth_realm_filenames['devices.php'])) {
                $realm_id2 = $user_auth_realm_filenames['devices.php'];
        }
        if ((db_fetch_assoc("select user_auth_realm.realm_id from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "' and user_auth_realm.realm_id='$realm_id2'")) || (empty($realm_id2))) {

		print '<a href="' . $config['url_path'] . 'plugins/devices/devices.php"><img src="' . $config['url_path'] . 'plugins/devices/images/tab_devices.png" alt="Devices" align="absmiddle" border="0"></a>';

        }

}

function devices_draw_navigation_text ($nav) {
   $nav["devices.php:"] = array("title" => "Devices", "mapping" => "index.php:", "url" => "devices.php", "level" => "1");
   return $nav;
}

function devices_version () {
	return array( 'name' 	=> 'devices',
                        'version'       => '0.4',
                        'longname'      => 'Read-only Devices Tab',
                        'author'        => 'Howard Jones',
                        'homepage'      => 'http://wotsit.thingy.com/haj/cacti/',
                        'email' => 'howie@thingy.com',
                        'url'           => 'http://wotsit.thingy.com/haj/cacti/versions.php'
                        );
}

?>
